Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.dialogs.nodedatainput
Class NewNodeDataInput

    java.lang.Object
      info.bioinfweb.treegraph.gui.dialogs.nodedatainput.NodeDataInput
          info.bioinfweb.treegraph.gui.dialogs.nodedatainput.NewNodeDataInput

    public class NewNodeDataInput

extends NodeDataInput

Field Summary
`private java.util.Vector<NodeDataInputListener>` | `inputListeners`
`private javax.swing.JTextField` | `textField`

Fields inherited from class info.bioinfweb.treegraph.gui.dialogs.nodedatainput.NodeDataInput
`comboBox`

Constructor Summary
`NewNodeDataInput(javax.swing.JPanel panel, int x, int y, boolean horizontal)`

Method Summary
`boolean` | `addInputListener(NodeDataInputListener listener)`
`private void` | `fireNewIDSelected(boolean selected)`
`protected javax.swing.JComboBox` | `getComboBox()`
`protected javax.swing.JTextField` | `getTextField()`
`boolean` | `removeInputListener(NodeDataInputListener listener)`
`NodeDataAdapter` | `selectedAdapter()` Returns the currently selected adapter.
`void` | `setEnabled(boolean enabled)`
`void` | `setID(java.lang.String id)` Sets the ID displayed in the contained text field.

Methods inherited from class info.bioinfweb.treegraph.gui.dialogs.nodedatainput.NodeDataInput
`setAdapters, setAdapters, setOnlyNewAdapters, setSelectedAdapter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### textField

    private javax.swing.JTextField textField

### inputListeners

    private java.util.Vector<NodeDataInputListener> inputListeners

Constructor Detail

### NewNodeDataInput

    public NewNodeDataInput(javax.swing.JPanel panel,
                            int x,
                            int y,
                            boolean horizontal)

Method Detail

### selectedAdapter

    public NodeDataAdapter selectedAdapter()

  Description copied from class: `NodeDataInput`
  Returns the currently selected adapter.

  Overrides:
    `selectedAdapter` in class `NodeDataInput`
  Returns:
    the selected adapter (not a copy of it)

### getComboBox

    protected javax.swing.JComboBox getComboBox()

  Overrides:
    `getComboBox` in class `NodeDataInput`

### getTextField

    protected javax.swing.JTextField getTextField()

### setEnabled

    public void setEnabled(boolean enabled)

  Overrides:
    `setEnabled` in class `NodeDataInput`

### setID

    public void setID(java.lang.String id)

  Sets the ID displayed in the contained text field.

  Parameters:
    `id` - - the new ID

### addInputListener

    public boolean addInputListener(NodeDataInputListener listener)

### removeInputListener

    public boolean removeInputListener(NodeDataInputListener listener)

### fireNewIDSelected

    private void fireNewIDSelected(boolean selected)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD